Blocklist / REST API

Add to blocklist

Add a LinkedIn profile to the blocklist. Domains and email addresses are not supported.

POST /api/mcp/blocklistDeterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
valueRequired · string
See the input schema for this field.
typeRequired · string
See the input schema for this field.profile
Request example
curl -X POST "https://app.pipeline.help/api/mcp/blocklist" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"value":"example","type":"profile"}'
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "value": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "profile"
      ]
    }
  },
  "required": [
    "value",
    "type"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview